<!DOCTYPE xsl:stylesheet [
<!ENTITY ldquo '&#x201C;' >
<!ENTITY rdquo '&#x201D;' >
<!ENTITY nbsp  '&#xA0;' >
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xt="http://www.jclark.com/xt"
                extension-element-prefixes="xt"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
exclude-result-prefixes="xhtml">
<xsl:preserve-space elements="description"/>


<xsl:template match="/">
<html>
<head>
<style>
    .r1 {background-color: white}
    .r0 {background-color: #CCCCFF}

</style>
<link rel="stylesheet" type="text/css" href="../../com.ibm.commerce.base.doc/help.css"/>
<link rel="stylesheet" type="text/css" href="../../com.ibm.commerce.base.doc/commerce_help.css"/>
</head>
<body style="font-family: Arial;">
            <xsl:apply-templates/>
 </body>
 </html>
 </xsl:template>

<xsl:template match="toc">
<xsl:for-each select="//topic">

        <!--       <xsl:copy > 
                    <xsl:apply-templates select = "document(@href)" /> 
               </xsl:copy> -->

	<xsl:copy-of select="document(@href)//xhtml:body/child::node()"/>
</xsl:for-each>	
</xsl:template>
</xsl:stylesheet>