<!DOCTYPE xsl:stylesheet [
<!ENTITY ldquo '&#x201C;' >
<!ENTITY rdquo '&#x201D;' >
<!ENTITY nbsp  '&#xA0;' >
]>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
<body style="font-family: Arial;">
<ul>
<xsl:choose>
<xsl:when test="//toc/@href">
<li><a href="{//toc/@href}"><xsl:value-of select="//toc/@label"/></a><ul>
   <xsl:apply-templates/>
</ul>   
</li>
</xsl:when>
<xsl:otherwise>
<li><xsl:value-of select="//toc/@label"/><ul>
   <xsl:apply-templates/>
</ul>   
</li>
</xsl:otherwise>
</xsl:choose>


</ul>
 </body>
 </xsl:template>
 
  
 <xsl:template match="topic">
            <xsl:choose>
           <xsl:when test="not(parent::topic)"><li><a>
           <xsl:if test="@href"><xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute></xsl:if>
           <xsl:value-of select="@label"/></a><ul><xsl:apply-templates/></ul></li></xsl:when>
           <xsl:when test="parent::topic"><li><xsl:if test="@href"><a href="{@href}"><xsl:value-of select="@label"/></a></xsl:if>
           <xsl:if test="not(@href)"><xsl:value-of select="@label"/></xsl:if><ul><xsl:apply-templates/></ul></li></xsl:when>
           </xsl:choose>
</xsl:template>






</xsl:stylesheet>


